<?php 

	$user_id = (isset($_GET['uid'])) ? $_GET['uid'] : 0;
	$u = (isset($_GET['u'])) ? addslashes($_GET['u']) : '';
	
	$query = "SELECT * FROM mobile_users WHERE ID = '$user_id' AND pass='$u'";
	$num = $dba->GetNums($query);
	
	if($num == 1)
	{
		$query = "UPDATE mobile_users SET active = 'a' WHERE ID = '$user_id' AND pass='$u'";
		$check = $dba->ExecuteQuery($query);
		if($check)
		{
			$_SESSION['mobile_active'] = 'a';
		}
		$activate_error = ($check) ? ( (isset($_SESSION['logged_in'])) ? 'Vaše konto bolo aktivované, prosím odhláste sa a opätovne prihláste' : 'Vaše konto bolo aktivované, teraz sa môžete prihlásiť'): 'Chyba pri aktivácii konta, skontrolujte prosím linku ktorú ste skopírovali z registračného emailu.';
	}
	else 
	{
		$activate_error = 'Chyba pri aktivácii konta, skontrolujte prosím linku ktorú ste skopírovali z registračného emailu.';
	}

?>
<div id="register_form01">
	<div id="menu01_head">:: aktivácia</div>
	<?php
	
		echo "<div id=\"form_popis03\">".$activate_error."</div>";
	
	?>
</div>